#ifndef _FB_H
#define _FB_H

#include <fb/libfb.h>

typedef struct
{
  /* Limits of the area to move the cursor within */
  int min_x,min_y,max_x,max_y;

  /* x1,y1 are positions for the cursor to start at */
  /* values will be placed here after selection */
  int x1,y1,x2,y2;

  /* ascii for key if pressed, otherwise -1 */
  int key;
} SelectionArea;

int fb_setup(int);
void fb_exit();
FB *fb_getFB();
void fb_go_tty();
void fb_go_fb();
void fb_waitkey();
void fb_setcolor(int,int,int,int);
void fb_setpalette(int *,int *,int *);
void fb_putpixel(int,int,int);
void fb_clear_area(int,int,int,int);
int fb_select_area(SelectionArea *);

#endif /* _FB_H */
